Subject: Re: [PATCH net-next v13 12/15] net: stmmac: Fixed failure to set network speed to 1000.

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 30 May 2024 08:22:22 +0100

On Thu, May 30, 2024 at 10:25:01AM +0800, Huacai Chen wrote:
> Hi, Yanteng,
> 
> The title should be "Fix ....." rather than "Fixed .....", and it is

I would avoid the ambiguous "Fix" which for stable folk imply that this
is a bug fix - but it isn't. It's adding support for requiring 1G
speeds to always be negotiated.

I would like this patch to be held off until more thought can be put
into how to handle this without having a hack in the driver (stmmac
has too many hacks and we're going to have to start saying no to
these.)

However, I'm completely overloaded right now to have any bandwidth
to think about this.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!